List custom content
curl --request GET \
--url https://api.super.work/v1/super/index \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.super.work/v1/super/index"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.super.work/v1/super/index', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nbPages": 2,
"page": 0,
"hits": [
{
"title": "Onboarding",
"url": "https://slite.slite.page/p/S1TSuHnZf/Security-at-Slite",
"id": "S1TSuHnZf",
"updatedAt": "2021-01-01T00:00:00.000Z"
}
]
}{
"message": "Invalid apiKey",
"id": "auth/unauthorized"
}{
"message": "This feature is disabled for your organization. Please contact support.",
"id": "askx-disabled"
}{
"message": "Data source not found.",
"id": "root-id-not-found"
}{
"message": "Validation Failed",
"id": "field-validation",
"details": {}
}{
"message": "You've reached the api rate limit. Please wait and retry later.",
"id": "rate-limit"
}{
"message": "<string>",
"id": "<string>"
}List custom content
List custom content ids from Super usage.
GET
/
super
/
index
List custom content
Authorizations
The access token received from the authorization server in the OAuth 2.0 flow.
Query Parameters
Root id of the object to gather sources from. This should be created from the UI as a new custom data source.
Used to perform pagination on search
Required range:
x >= 0Specify how many notes to return per page
Required range:
1 <= x <= 100⌘I

